<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::AnnParserCsv Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1_ann_parser_csv.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classmelon_1_1_ann_parser_csv-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::AnnParserCsv Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>This class implements an specialization of the <a class="el" href="classmelon_1_1_ann_parser.html" title="This class implements an abstract parent class for ANN file parser.">AnnParser</a> for csv files.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_ann_parser_8h_source.html">AnnParser.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::AnnParserCsv:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmelon_1_1_ann_parser_csv.png" usemap="#melon::AnnParserCsv_map" alt=""/>
  <map id="melon::AnnParserCsv_map" name="melon::AnnParserCsv_map">
<area href="classmelon_1_1_ann_parser.html" title="This class implements an abstract parent class for ANN file parser." alt="melon::AnnParser" shape="rect" coords="0,56,134,80"/>
<area href="classmelon_1_1_model_parser.html" title="This class is a abstract parent class for model parser implemented in the MeLOn library." alt="melon::ModelParser" shape="rect" coords="0,0,134,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab0348883fd88c5c6b498f26301a33a49" id="r_ab0348883fd88c5c6b498f26301a33a49"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="struct_model_data.html">ModelData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab0348883fd88c5c6b498f26301a33a49">parse_model</a> (const std::string modelPath, const std::string modelName)</td></tr>
<tr class="memdesc:ab0348883fd88c5c6b498f26301a33a49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parsing function which is used to get the ANN data from a csv file.  <br /></td></tr>
<tr class="separator:ab0348883fd88c5c6b498f26301a33a49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classmelon_1_1_model_parser"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classmelon_1_1_model_parser')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classmelon_1_1_model_parser.html">melon::ModelParser</a></td></tr>
<tr class="memitem:a1797eba4c97ed24dcb60b874c1d59bde inherit pub_methods_classmelon_1_1_model_parser" id="r_a1797eba4c97ed24dcb60b874c1d59bde"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#a1797eba4c97ed24dcb60b874c1d59bde">~ModelParser</a> ()=default</td></tr>
<tr class="memdesc:a1797eba4c97ed24dcb60b874c1d59bde inherit pub_methods_classmelon_1_1_model_parser"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual desctructor to enable inheritance.  <br /></td></tr>
<tr class="separator:a1797eba4c97ed24dcb60b874c1d59bde inherit pub_methods_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a62c3571187204d00db093bffcea3e78b" id="r_a62c3571187204d00db093bffcea3e78b"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a62c3571187204d00db093bffcea3e78b">_csv_to_string_matrix</a> (std::string fileName)</td></tr>
<tr class="memdesc:a62c3571187204d00db093bffcea3e78b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses the content of an csv file into a string matrix.  <br /></td></tr>
<tr class="separator:a62c3571187204d00db093bffcea3e78b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addcc0d8ec8d50f6b46e00255074eb2e5" id="r_addcc0d8ec8d50f6b46e00255074eb2e5"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#addcc0d8ec8d50f6b46e00255074eb2e5">_csv_to_double_matrix</a> (std::string fileName)</td></tr>
<tr class="memdesc:addcc0d8ec8d50f6b46e00255074eb2e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses the content of an csv file into a double matrix.  <br /></td></tr>
<tr class="separator:addcc0d8ec8d50f6b46e00255074eb2e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9435ee55ff3adb985753db65e7d6317b" id="r_a9435ee55ff3adb985753db65e7d6317b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9435ee55ff3adb985753db65e7d6317b">_parse_config_file</a> (<a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a> &amp;structure)</td></tr>
<tr class="memdesc:a9435ee55ff3adb985753db65e7d6317b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses the configuration csv file.  <br /></td></tr>
<tr class="separator:a9435ee55ff3adb985753db65e7d6317b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72fa1cdae520c5091c34b66a11f0ba1e" id="r_a72fa1cdae520c5091c34b66a11f0ba1e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a72fa1cdae520c5091c34b66a11f0ba1e">_parse_scalers</a> (std::shared_ptr&lt; <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a> &gt; inputScalerData, std::shared_ptr&lt; <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a> &gt; outputScalerData, const <a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a> &amp;structure)</td></tr>
<tr class="memdesc:a72fa1cdae520c5091c34b66a11f0ba1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses the input and output scalers.  <br /></td></tr>
<tr class="separator:a72fa1cdae520c5091c34b66a11f0ba1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a176bb1733a3cd18a2b2338b545bcca20" id="r_a176bb1733a3cd18a2b2338b545bcca20"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a176bb1733a3cd18a2b2338b545bcca20">_parse_bias_weights</a> (const <a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a> &amp;structure, <a class="el" href="structmelon_1_1_ann_weights.html">AnnWeights</a> &amp;weights)</td></tr>
<tr class="memdesc:a176bb1733a3cd18a2b2338b545bcca20"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses the bias weights.  <br /></td></tr>
<tr class="separator:a176bb1733a3cd18a2b2338b545bcca20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb1c95707f3e36cba0e03ff10523290f" id="r_abb1c95707f3e36cba0e03ff10523290f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abb1c95707f3e36cba0e03ff10523290f">_parse_layer_weights</a> (const <a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a> &amp;structure, <a class="el" href="structmelon_1_1_ann_weights.html">AnnWeights</a> &amp;weights)</td></tr>
<tr class="memdesc:abb1c95707f3e36cba0e03ff10523290f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses the layer weights.  <br /></td></tr>
<tr class="separator:abb1c95707f3e36cba0e03ff10523290f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a885305c2d03d62791104e15b3c85e666" id="r_a885305c2d03d62791104e15b3c85e666"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a885305c2d03d62791104e15b3c85e666">_parse_input_weights</a> (const <a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a> &amp;structure, <a class="el" href="structmelon_1_1_ann_weights.html">AnnWeights</a> &amp;weights)</td></tr>
<tr class="memdesc:a885305c2d03d62791104e15b3c85e666"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses the input weights.  <br /></td></tr>
<tr class="separator:a885305c2d03d62791104e15b3c85e666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6013cbdce74b67a4313bf237064771fd" id="r_a6013cbdce74b67a4313bf237064771fd"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a6013cbdce74b67a4313bf237064771fd">_check_if_layer_indicator</a> (int number)</td></tr>
<tr class="memdesc:a6013cbdce74b67a4313bf237064771fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if passed number is a layer indicator.  <br /></td></tr>
<tr class="separator:a6013cbdce74b67a4313bf237064771fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a695e63a6f420c2a3b7cd5fd4a692a282" id="r_a695e63a6f420c2a3b7cd5fd4a692a282"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a695e63a6f420c2a3b7cd5fd4a692a282">_get_layer_index_from_indicator</a> (int indicator)</td></tr>
<tr class="memdesc:a695e63a6f420c2a3b7cd5fd4a692a282"><td class="mdescLeft">&#160;</td><td class="mdescRight">Extracts layer index from a layer indicator.  <br /></td></tr>
<tr class="separator:a695e63a6f420c2a3b7cd5fd4a692a282"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a13f2f35cccf15eebd7f43051e3dd580b" id="r_a13f2f35cccf15eebd7f43051e3dd580b"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a13f2f35cccf15eebd7f43051e3dd580b">LAYER_INDICATOR_BASE</a> = 900</td></tr>
<tr class="separator:a13f2f35cccf15eebd7f43051e3dd580b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classmelon_1_1_ann_parser"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_methods_classmelon_1_1_ann_parser')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classmelon_1_1_ann_parser.html">melon::AnnParser</a></td></tr>
<tr class="memitem:a3c68338943ed45fc0415214743a9260a inherit pro_methods_classmelon_1_1_ann_parser" id="r_a3c68338943ed45fc0415214743a9260a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacemelon.html#a48f12885945641a41597e6668940dc73">ACTIVATION_FUNCTION</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_ann_parser.html#a3c68338943ed45fc0415214743a9260a">_string_to_activation_function</a> (const std::string &amp;activationFunctionName)</td></tr>
<tr class="memdesc:a3c68338943ed45fc0415214743a9260a inherit pro_methods_classmelon_1_1_ann_parser"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turns a string containing the name of an activation function in the correct enum representation.  <br /></td></tr>
<tr class="separator:a3c68338943ed45fc0415214743a9260a inherit pro_methods_classmelon_1_1_ann_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classmelon_1_1_model_parser"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_methods_classmelon_1_1_model_parser')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classmelon_1_1_model_parser.html">melon::ModelParser</a></td></tr>
<tr class="memitem:a38cba45beb94be7372469315f017576c inherit pro_methods_classmelon_1_1_model_parser" id="r_a38cba45beb94be7372469315f017576c"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#a38cba45beb94be7372469315f017576c">_format_file_path</a> (const std::string modelPath, const std::string modelName, const <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType)</td></tr>
<tr class="memdesc:a38cba45beb94be7372469315f017576c inherit pro_methods_classmelon_1_1_model_parser"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applies the correct format to the path given by the user.  <br /></td></tr>
<tr class="separator:a38cba45beb94be7372469315f017576c inherit pro_methods_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2631bf777f02fa3deefa3391affedf0b inherit pro_methods_classmelon_1_1_model_parser" id="r_a2631bf777f02fa3deefa3391affedf0b"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#a2631bf777f02fa3deefa3391affedf0b">_format_folder_path</a> (const std::string modelPath)</td></tr>
<tr class="memdesc:a2631bf777f02fa3deefa3391affedf0b inherit pro_methods_classmelon_1_1_model_parser"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applies the correct format to the path given by the user.  <br /></td></tr>
<tr class="separator:a2631bf777f02fa3deefa3391affedf0b inherit pro_methods_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_methods_classmelon_1_1_model_parser"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_static_methods_classmelon_1_1_model_parser')"><img src="closed.png" alt="-"/>&#160;Static Protected Member Functions inherited from <a class="el" href="classmelon_1_1_model_parser.html">melon::ModelParser</a></td></tr>
<tr class="memitem:a079c906eccf340590701dba8d6a776d9 inherit pro_static_methods_classmelon_1_1_model_parser" id="r_a079c906eccf340590701dba8d6a776d9"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespacemelon.html#a7ee65995944832d7b450202201d45c11">SCALER_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#a079c906eccf340590701dba8d6a776d9">_string_to_scaler_type</a> (const std::string scalerTypeName)</td></tr>
<tr class="memdesc:a079c906eccf340590701dba8d6a776d9 inherit pro_static_methods_classmelon_1_1_model_parser"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turns a string containing the name of an scaler type in the correct enum representation.  <br /></td></tr>
<tr class="separator:a079c906eccf340590701dba8d6a776d9 inherit pro_static_methods_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2a5a119986e39a4f951d9952e5d209e inherit pro_static_methods_classmelon_1_1_model_parser" id="r_ab2a5a119986e39a4f951d9952e5d209e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespacemelon.html#a7c96133788161408370e83766fc229ce">SCALER_PARAMETER</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#ab2a5a119986e39a4f951d9952e5d209e">_string_to_scaler_parameter</a> (const std::string scalerParameterName)</td></tr>
<tr class="memdesc:ab2a5a119986e39a4f951d9952e5d209e inherit pro_static_methods_classmelon_1_1_model_parser"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turns a string containing the name of an scaler type in the correct enum representation.  <br /></td></tr>
<tr class="separator:ab2a5a119986e39a4f951d9952e5d209e inherit pro_static_methods_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classmelon_1_1_model_parser"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_attribs_classmelon_1_1_model_parser')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classmelon_1_1_model_parser.html">melon::ModelParser</a></td></tr>
<tr class="memitem:a1be76f5606faa2afdad693f26dd1660a inherit pro_attribs_classmelon_1_1_model_parser" id="r_a1be76f5606faa2afdad693f26dd1660a"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#a1be76f5606faa2afdad693f26dd1660a">_modelPath</a></td></tr>
<tr class="separator:a1be76f5606faa2afdad693f26dd1660a inherit pro_attribs_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7d5473b675b9595aee8db5f44a5a2c1 inherit pro_attribs_classmelon_1_1_model_parser" id="r_ac7d5473b675b9595aee8db5f44a5a2c1"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_model_parser.html#ac7d5473b675b9595aee8db5f44a5a2c1">_modelName</a></td></tr>
<tr class="separator:ac7d5473b675b9595aee8db5f44a5a2c1 inherit pro_attribs_classmelon_1_1_model_parser"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements an specialization of the <a class="el" href="classmelon_1_1_ann_parser.html" title="This class implements an abstract parent class for ANN file parser.">AnnParser</a> for csv files. </p>
<p>This abstarct class is used to implement an ANN file parser for csv files based on the interface provided by <a class="el" href="classmelon_1_1_ann_parser.html" title="This class implements an abstract parent class for ANN file parser.">AnnParser</a>. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a6013cbdce74b67a4313bf237064771fd" name="a6013cbdce74b67a4313bf237064771fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6013cbdce74b67a4313bf237064771fd">&#9670;&#160;</a></span>_check_if_layer_indicator()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AnnParserCsv::_check_if_layer_indicator </td>
          <td>(</td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>number</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Checks if passed number is a layer indicator. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">number</td><td>Number to be checked</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if number is an layer indicator, otherwise false is returned </dd></dl>

</div>
</div>
<a id="addcc0d8ec8d50f6b46e00255074eb2e5" name="addcc0d8ec8d50f6b46e00255074eb2e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addcc0d8ec8d50f6b46e00255074eb2e5">&#9670;&#160;</a></span>_csv_to_double_matrix()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; std::vector&lt; double &gt; &gt; AnnParserCsv::_csv_to_double_matrix </td>
          <td>(</td>
          <td class="paramtype">std::string</td>          <td class="paramname"><span class="paramname"><em>fileName</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses the content of an csv file into a double matrix. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fileName</td><td>name of the the csv file that should be parsed</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns a 2d vector(double) containing the data from the csv file </dd></dl>

</div>
</div>
<a id="a62c3571187204d00db093bffcea3e78b" name="a62c3571187204d00db093bffcea3e78b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62c3571187204d00db093bffcea3e78b">&#9670;&#160;</a></span>_csv_to_string_matrix()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; std::vector&lt; std::string &gt; &gt; AnnParserCsv::_csv_to_string_matrix </td>
          <td>(</td>
          <td class="paramtype">std::string</td>          <td class="paramname"><span class="paramname"><em>fileName</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses the content of an csv file into a string matrix. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fileName</td><td>name of the the csv file that should be parsed</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns a 2d vector(string) containing the data from the csv file </dd></dl>

</div>
</div>
<a id="a695e63a6f420c2a3b7cd5fd4a692a282" name="a695e63a6f420c2a3b7cd5fd4a692a282"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a695e63a6f420c2a3b7cd5fd4a692a282">&#9670;&#160;</a></span>_get_layer_index_from_indicator()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int AnnParserCsv::_get_layer_index_from_indicator </td>
          <td>(</td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>indicator</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Extracts layer index from a layer indicator. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">indicator</td><td>Indicator from which the layer index should get</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Layer index </dd></dl>

</div>
</div>
<a id="a176bb1733a3cd18a2b2338b545bcca20" name="a176bb1733a3cd18a2b2338b545bcca20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a176bb1733a3cd18a2b2338b545bcca20">&#9670;&#160;</a></span>_parse_bias_weights()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnnParserCsv::_parse_bias_weights </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>structure</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmelon_1_1_ann_weights.html">AnnWeights</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>weights</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses the bias weights. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">structure</td><td>struct containing the information regarding the anns structure</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">weights</td><td>struct containing the anns weights </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a9435ee55ff3adb985753db65e7d6317b" name="a9435ee55ff3adb985753db65e7d6317b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9435ee55ff3adb985753db65e7d6317b">&#9670;&#160;</a></span>_parse_config_file()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnnParserCsv::_parse_config_file </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>structure</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses the configuration csv file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">structure</td><td>struct containing the information regarding the anns structure </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a885305c2d03d62791104e15b3c85e666" name="a885305c2d03d62791104e15b3c85e666"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a885305c2d03d62791104e15b3c85e666">&#9670;&#160;</a></span>_parse_input_weights()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnnParserCsv::_parse_input_weights </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>structure</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmelon_1_1_ann_weights.html">AnnWeights</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>weights</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses the input weights. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">structure</td><td>struct containing the information regarding the anns structure</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">weights</td><td>struct containing the anns weights </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="abb1c95707f3e36cba0e03ff10523290f" name="abb1c95707f3e36cba0e03ff10523290f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb1c95707f3e36cba0e03ff10523290f">&#9670;&#160;</a></span>_parse_layer_weights()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnnParserCsv::_parse_layer_weights </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>structure</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmelon_1_1_ann_weights.html">AnnWeights</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>weights</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses the layer weights. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">structure</td><td>struct containing the information regarding the anns structure</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">weights</td><td>struct containing the anns weights </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a72fa1cdae520c5091c34b66a11f0ba1e" name="a72fa1cdae520c5091c34b66a11f0ba1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72fa1cdae520c5091c34b66a11f0ba1e">&#9670;&#160;</a></span>_parse_scalers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnnParserCsv::_parse_scalers </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>inputScalerData</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>outputScalerData</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>structure</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parses the input and output scalers. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">inputScalerData</td><td>struct containing the parameters used for input sclaing</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">outputScalerData</td><td>struct containing the parameters used for output scaling</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">structure</td><td>struct containing the information regarding the anns structure </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab0348883fd88c5c6b498f26301a33a49" name="ab0348883fd88c5c6b498f26301a33a49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0348883fd88c5c6b498f26301a33a49">&#9670;&#160;</a></span>parse_model()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="struct_model_data.html">ModelData</a> &gt; AnnParserCsv::parse_model </td>
          <td>(</td>
          <td class="paramtype">const std::string</td>          <td class="paramname"><span class="paramname"><em>modelPath</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string</td>          <td class="paramname"><span class="paramname"><em>modelName</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parsing function which is used to get the ANN data from a csv file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelPath</td><td>Path to the location of the ANN file</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">modelName</td><td>name of the network (either foldername in which csv files are stored)</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns modelData struct containing the information defining the ann </dd></dl>

<p>Implements <a class="el" href="classmelon_1_1_ann_parser.html#ad55c71474bb6154af7a8b4696ababdea">melon::AnnParser</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a13f2f35cccf15eebd7f43051e3dd580b" name="a13f2f35cccf15eebd7f43051e3dd580b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13f2f35cccf15eebd7f43051e3dd580b">&#9670;&#160;</a></span>LAYER_INDICATOR_BASE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int melon::AnnParserCsv::LAYER_INDICATOR_BASE = 900</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/inc/<a class="el" href="_ann_parser_8h_source.html">AnnParser.h</a></li>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/src/<a class="el" href="_ann_parser_c_s_v_8cpp.html">AnnParserCSV.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="classmelon_1_1_ann_parser_csv.html">AnnParserCsv</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
